function [mu,nu] = getMuNu(gridSize,thisCase)
% Support function for van der Pol equation parameter sweep

% Copyright 2019 The MathWorks, Inc.

% For tMax=7200
% 1: [ 50 150], [.50 2] large variance in iteration run time: 0.5s to 2.5s 
% 2: [ 50 150], [.50 1] medium variance in iteration run time: 0.5s to 1.5s 
% 3: [100 150], [.50 2] medium variance in iteration run time: 0.5s to 1.5s 
% 4: [125 150], [.75 1] small variance in iteration run time: 0.5s to .75s

switch(thisCase)
    case 1
        muRng = [50 150];
        nuRng = [.5 2];
    case 2
        muRng = [50 150];
        nuRng = [.5 1];
    case 3
        muRng = [100 150];
        nuRng = [.5 2];
    case 4
        muRng = [125 150];
        nuRng = [.75 1];
end

mu = linspace(muRng(1),muRng(2),gridSize);
nu = linspace(nuRng(1),nuRng(2),gridSize);
          
end

