function [meanPeriod] = getVdpPeriod(mu, nu, tMax)
% Core iteration function for van der Pol equation parameter sweep
%
% Why make a core function to be parallelized:
%    encapsulation helps the code analyzer figure out what can be allowed. (save, for example) 
%    makes code easier to test and debug
%    Helps to manage memory across workers, especially for spmd 
%    Potentially reduce un-needed data - forces well-defined minimal inputs and outputs

% Copyright 2019 The MathWorks, Inc.

[t, y] = solveVdp(mu, nu, tMax);
l = islocalmax(y(:, 2));
meanPeriod = mean(diff(t(l)));

end

