function [t, y] = solveVdp(mu, nu, tMax)
% Support function for van der Pol equation parameter sweep

% Copyright 2019 The MathWorks, Inc.

% Note: in original example, tMax is 20*mu
f = @(~,y) [nu*y(2); mu*(1-y(1)^2)*y(2)-y(1)];
[t,y] = ode23s(f,[0 tMax],[2; 0]);

end


