function visualizeParamSweep(M, N, Z, theseAxes)
% visualization function for van der Pol equation parameter sweep

% Copyright 2014-2019 The MathWorks, Inc.

thisLineStyle = '-';
if numel(Z)>400
    thisLineStyle = 'none';
end

sf = surf(theseAxes, M, N, Z);
set(sf,'LineStyle',thisLineStyle);
set(sf,'FaceAlpha',1.0);

xlabel(theseAxes,'\mu Values','Interpreter','Tex')
ylabel(theseAxes,'\nu Values','Interpreter','Tex')
zlabel(theseAxes,'Mean Period of Solution')
view(theseAxes,[137, 30])
axis(theseAxes,[min(M(:)) max(M(:)) min(N(:)) max(N(:)) 0 500]);
end